%def_without ldm
%def_without jetpipe

%define snapshot 20070817

%define Codename ALTLinux

%define Name LTSP5
%define bname ltsp
Name: %{bname}5
Version: 5.0
Release: alt0.75
Summary: %Name
License: %gpl2only
Group: Networking/Remote access
URL: http://%bname.org/
%ifdef snapshot
# bzr get http://bazaar.launchpad.net/~ogra/ltsp/ltsp-mainline ltsp-%snapshot; rm -rf ltsp-%snapshot/.bzr*
Source0: %bname-%snapshot.tar.bz2
%else
Source0: %bname-%version.tar.bz2
%endif
Source1: %bname-build-client.conf
Source2: %bname-client-setup.default
Source3: %bname-client.init
Source4: %bname-client-setup.init
Source5: lts.conf.default
Source6: %name-%Codename-plugins.tar
Source7: %bname-client-swap.init
Source8: %bname-client-bind-mounts.init
Source9: %bname-client-eth-modules.list
Source10: %bname-sysconfig-installkernel.sh
Source11: %bname-update-kernels.conf
Source12: %bname-profile.sh
Source13: %bname-rdp.sh
Source14: %bname-rdpx.sh
Source15: lts-parameters.alt
Source16: %bname-mkbootiso.sh
Source17: %bname-pulse.pa
Source19: %bname-dhcpd.conf
Source20: %bname-nbd-server.config
Source21: ltsconf.tcl
Source22: conffile.tcl
Source23: %bname-mkswapfile.sh
Source25: %bname-clients.conf
Source26: %bname-client-mkinitrd.sh
Source27: %bname-login.sh
Source28: %bname-login.ru.po
Source29: %bname-login.uk.po
Patch0: %name-start_telnet.patch
Patch1: %name-startx.patch
Patch2: %name-20070817-alt.patch
Patch3: ldminfod-20070817-alt.patch
Patch4: %name-start_printer.patch

BuildRequires: libpopt-devel flex gettext-tools
BuildRequires: rpm-build-licenses

%description
%Name.


%package server
Summary: %Name server
Group: Networking/Remote access
AutoReq: yes, noshell
# ldminfod requires
#Requires: python-base python2.4(subprocess)
Conflicts: %name-client
Requires: gettext rpm-utils
Requires: xmessage
%ifarch x86_64
Requires: setarch
%endif

%description server
%Name server.


%package client
Summary: %Name client
Group: Networking/Remote access
Requires: service
Requires: mkinitrd-initramfs >= 3.0.4
Provides: %_sysconfdir/%{bname}_chroot
AutoReq: yes, noshell
Conflicts: %name-server
Conflicts: alterator-backend-x11 < 0.13.1

%description client
%Name client.


%if_with jetpipe
%package -n jetpipe
Summary: Minimal print-server
Group: System/Servers
AutoReq: yes, noshell

%description -n jetpipe
jetpipe will bind a printer device to a given portnumber so the printer
can be accessed through the JetDirect protocol from a remote client.
%endif


%if_with ldm
%package -n ldm
Summary: Display manager for LTSP
Group: System/X11
Requires: python2.5(gnome) python2.5(gnomecanvas)

%description -n ldm
A display manager for LTSP.
ldm starts an X server and presents the user with a login screen,
similar to the xdm(1) login prompt.
Instead of using the XDMCP protocol, ldm(1) uses ssh(1) and
X Forwarding to connect to remote servers.
It was designed for the LTSP project, but could be used in a non-%bname
environment as well.
%endif


%prep
%ifdef snapshot
%setup -n %bname-%snapshot
%else
%setup -n %bname-%version
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
tar -C server/plugins/%bname-build-client -xf %SOURCE6
install -m 0644 %SOURCE15 client/lts-parameters.alt
%define make_alsa_conf [ -f %_datadir/alsa/alsa.conf ] && \
for n in null pulse; do \
    [ -f %_sysconfdir/%bname/asound-$n.conf ] && \
    sed -e 's|"/etc/asound\.conf"|"%_sysconfdir/%bname/asound-'$n'.conf"|g' \\\
	-e '/asoundrc/d' %_datadir/alsa/alsa.conf > %_datadir/%bname/alsa-$n.conf ||: \
done

%build
%define _optlevel s
%define Vendor %(lsb_release -s -c)
subst "s/@VENDOR@/%Codename/g" server/%bname-build-client client/update-kernels
%make_build -C client/getltscfg CFLAGS="%optflags"
%make_build -C po
msgfmt -c -o %bname-login.ru.gmo %SOURCE28
msgfmt -c -o %bname-login.uk.gmo %SOURCE29


%install
bzip2 --best --keep --force debian/changelog
install -d -m 0755 %buildroot{%_sbindir,%_sysconfdir/{net,%bname},%_x11sysconfdir/profile.d,%_datadir/%bname/scripts,%_localstatedir/tftpboot/%name}
#install -d -m 0755 %buildroot%_man8dir
#install -m 0755 server/{ldminfod,nbdswapd} %buildroot%_sbindir/
#install -m 0644 debian/doc/ldminfod.8 %buildroot%_man8dir/
for n in pulse null; do
    install -m 0644 /dev/null %buildroot%_datadir/%bname/alsa-$n.conf
done
install -pD -m 0755 %SOURCE12 %buildroot%_sysconfdir/profile.d/%bname.sh
subst 's|@LIBDIR@|%_libdir|g' %buildroot%_sysconfdir/profile.d/%bname.sh
sed -e 's/@ARCH@/%_target_cpu/g' %SOURCE19 > %buildroot%_sysconfdir/%bname/dhcpd.conf
install -m 0644 %SOURCE20 %buildroot%_sysconfdir/%bname/nbd-server.config
install -m 0755 %SOURCE23 %buildroot%_datadir/%bname/scripts/mkswapfile
install -m 0644 %SOURCE25 %buildroot%_sysconfdir/%bname/clients.conf
install -m 0755 server/%bname-keys %buildroot%_sysconfdir/net/
install -m 0755 %SOURCE16 %buildroot%_sbindir/%bname-mkbootiso
install -d -m 0755 %buildroot{%_sbindir,%_sysconfdir/%bname,%_man8dir}
install -m 0755 server/%bname-update-* %buildroot%_sbindir/
install -m 0644 debian/doc/ltsp-update-*.8 %buildroot%_man8dir/
install -m 0644 /dev/null %buildroot%_sysconfdir/%bname/%bname-update-kernels.conf
install -m 0644 %SOURCE11 %buildroot%_sysconfdir/%bname/update-kernels.conf
install -m 0755 %SOURCE27 %buildroot%_x11sysconfdir/profile.d/%bname-login.sh
for l in ru uk; do
    install -D -m 0644 %bname-login.$l.gmo %buildroot%_datadir/locale/$l/LC_MESSAGES/%bname-login.mo
done
for n in pulse null; do
    cat > %buildroot%_sysconfdir/%bname/asound-$n.conf <<__CONF__
pcm.!default {
    type $n
}
ctl.!default {
    type $n
}
__CONF__
done

%make_install -C po DESTDIR=%buildroot install
install -d -m 0755 %buildroot{%_sbindir,%_sysconfdir/%bname,%_man8dir,%_datadir/%bname/plugins/%bname-build-client/{%Codename,common},%_localstatedir/%bname-client-setup}
install -m 0755 server/%bname-build-client %buildroot%_sbindir/
install -m 0644 debian/doc/%bname-build-client.8 %buildroot%_man8dir/
install -m 0644 server/plugins/functions %buildroot%_datadir/%bname/plugins/
install -m 0644 server/plugins/%bname-build-client/common/* %buildroot%_datadir/%bname/plugins/%bname-build-client/common/
install -m 0644 server/plugins/%bname-build-client/%Codename/* %buildroot%_datadir/%bname/plugins/%bname-build-client/%Codename/
sed \
    -e 's|@VENDOR@|%Codename|' \
    -e 's|@ARCH@|%_target_cpu|' \
    %SOURCE1 > %buildroot%_sysconfdir/%bname/%bname-build-client.conf

install -d -m 0755 %buildroot{%_sbindir,%_bindir,%_initdir,%_libexecdir/%bname/screen.d,%_datadir/%bname-client,%_man1dir,%_sysconfdir/{sysconfig,rc.d/scripts,%bname},%_x11sysconfdir,%_var/cache/%{bname}conf}
install -m 0755 client/{screen_session,start_*,telnet_loop,update-kernels} %buildroot%_libexecdir/%bname/
install -m 0755 client/screen.d/* %buildroot%_libexecdir/%bname/screen.d/
install -m 0755 %SOURCE13 %buildroot%_libexecdir/%bname/screen.d/rdp
install -m 0755 %SOURCE14 %buildroot%_libexecdir/%bname/screen.d/rdpx
install -m 0644 client/%{bname}_* %buildroot%_libexecdir/%bname/
install -m 0644 %SOURCE9 %buildroot%_sysconfdir/%bname/%bname-client-eth-modules.list
install -m 0644 %SOURCE10 %buildroot%_sysconfdir/sysconfig/installkernel
install -m 0755 client/getltscfg/getltscfg %buildroot%_bindir/
install -m 0644 client/getltscfg/getltscfg.1 %buildroot%_man1dir/
install -m 0755 client/initramfs/init-bottom/unionfs_cow %buildroot%_datadir/%bname-client
install -pD -m 0644 %SOURCE2 %buildroot%_sysconfdir/default/%bname-client-setup
install -m 0755 %SOURCE8 %buildroot%_sysconfdir/rc.d/scripts/%bname-client-bind-mounts
install -m 0755 %SOURCE3 %buildroot%_initdir/%bname-client
install -m 0755 %SOURCE4 %buildroot%_initdir/%bname-client-setup
install -m 0644 %SOURCE5 %buildroot%_sysconfdir/lts.conf
install -m 0755 %SOURCE7 %buildroot%_initdir/%bname-client-swap
install -m 0644 %SOURCE17 %buildroot%_sysconfdir/%bname/%bname.pa
install -m 0755 %SOURCE21 %buildroot%_sbindir/ltsconf
install -m 0644 %SOURCE22 %buildroot%_datadir/%bname-client/conffile.tcl
install -m 0755 %SOURCE26 %buildroot%_libexecdir/%bname/%bname-client-mkinitrd

%if_with jetpipe
install -d -m 0755 %buildroot{%_sbindir,%_man8dir}
install -m 0755 client/jetpipe/jetpipe %buildroot%_sbindir/
install -m 0644 client/jetpipe/jetpipe.8 %buildroot%_man8dir/
%endif

%if_with ldm
install -d -m 0755 %buildroot{%_libexecdir/%bname/greeters,%_datadir/ldm/themes/{Debian{,-Edu},{ed,}ubuntu}}
install -m 0644 client/greeters/{greeter.*,gtkrc} %buildroot%_libexecdir/%bname/greeters/
install -m 0755 client/greeters/gtk %buildroot%_libexecdir/%bname/greeters/
install -m 0755 client/ldm %buildroot%_sbindir/
install -m 0644 client/ldm.1 %buildroot%_man1dir/
install -m 0755 client/ldm-askpass %buildroot%_libexecdir/%bname/
for d in Debian Debian-Edu edubuntu ubuntu; do
	install -m 0644 client/themes/$d/* %buildroot%_datadir/ldm/themes/$d/
done
ln -sf ubuntu %buildroot%_datadir/ldm/themes/default
%endif

%find_lang %bname
%find_lang --append --output=%bname.lang %bname-login


%post server
%make_alsa_conf


%post client
%post_service %bname-client-setup
%post_service %bname-client-swap
%post_service %bname-client


%preun client
%preun_service %bname-client
%preun_service %bname-client-swap
%preun_service %bname-client-setup


%triggerin server -- libalsa
%make_alsa_conf


%files server -f %bname.lang
%doc debian/changelog.* debian/doc/swap debian/doc/workstation
%doc server/doc/examples client/lts-parameters.* server/doc/plugins
%doc debian/README.Debian
%_sbindir/%bname-mkbootiso
%_sbindir/%bname-update-*
%_sbindir/%bname-build-client
%_man8dir/%bname-update-*
%_man8dir/%bname-build-client.*
#%%_sbindir/ldminfod*
#%%_man8dir/ldminfod.*
%dir %_datadir/%bname
%_datadir/%bname/*
%exclude %_datadir/%bname/alsa-*.conf
%ghost %_datadir/%bname/alsa-*.conf
%config(noreplace) %_sysconfdir/%bname/dhcpd.conf
%config(noreplace) %_sysconfdir/%bname/clients.conf
%config(noreplace) %_sysconfdir/%bname/%bname-update-kernels.conf
%config(noreplace) %_sysconfdir/%bname/update-kernels.conf
%config(noreplace) %_sysconfdir/%bname/%bname-build-client.conf
%_sysconfdir/%bname/asound-*.conf
%_sysconfdir/%bname/nbd-server.config
%_sysconfdir/net/%bname-keys
%dir %_localstatedir/tftpboot/%name
%_sysconfdir/profile.d/*
%_x11sysconfdir/profile.d/*


%files client
%doc client/getltscfg/lts.conf
%_bindir/*
%_man1dir/getltscfg.1*
%dir %_libexecdir/%bname
%_libexecdir/%bname/screen_session
%_libexecdir/%bname/start_*
%_libexecdir/%bname/telnet_loop
%_libexecdir/%bname/%{bname}_*
%_libexecdir/%bname/update-kernels
%_libexecdir/%bname/%bname-client-mkinitrd
%dir %_libexecdir/%bname/screen.d
%_libexecdir/%bname/screen.d/*
%dir %_datadir/%bname-client
%_datadir/%bname-client/*
%config(noreplace) %_sysconfdir/default/*
%config(noreplace) %_sysconfdir/lts.conf
%_initdir/%bname-client*
%_sysconfdir/rc.d/scripts/*
%_sysconfdir/sysconfig/*
%dir %_var/cache/%{bname}conf
%dir %_sysconfdir/%bname
%config(noreplace) %_sysconfdir/%bname/%bname.pa
%config(noreplace) %_sysconfdir/%bname/%bname-client-eth-modules.list
%_sbindir/ltsconf
%dir %_localstatedir/%bname-client-setup


%if_with jetpipe
%files -n jetpipe
%_sbindir/jetpipe*
%_man8dir/jetpipe.8*
%endif


%if_with ldm
%files -n ldm
%_sbindir/ldm*
%_man1dir/ldm.1*
%_libexecdir/%bname/ldm-askpass
%_libexecdir/%bname/greeters
%dir %_datadir/ldm
%dir %_datadir/ldm/themes
%_datadir/ldm/themes/*
%endif


%changelog
* Wed Mar 12 2008 Led <led@altlinux.ru> 5.0-alt0.75
- fixed:
  + %_x11sysconfdir/profile.d/%bname-login.sh
  + %_sysconfdir/profile.d/%bname.sh

* Tue Mar 11 2008 Led <led@altlinux.ru> 5.0-alt0.74
- updated %_x11sysconfdir/profile.d/%bname-login.sh for support
  Tk (wish), gxmessage

* Tue Mar 11 2008 Led <led@altlinux.ru> 5.0-alt0.73
- updated %_x11sysconfdir/profile.d/%bname-login.sh for support
  kdialog, zenity, Xdialog without GTK+, xmessage

* Fri Mar 07 2008 Led <led@altlinux.ru> 5.0-alt0.72
- added:
  + %_sysconfdir/%bname/asound-pulse.conf
  + %_sysconfdir/%bname/asound-null.conf
  + %_x11sysconfdir/profile.d/%bname-login.sh
  + compcache support to %_initdir/%bname-client-swap
- removed:
  + %_sysconfdir/%bname/asound.conf
  + removed alterator-backend-x11 workaround
- Conflicts: alterator-backend-x11 < 0.13.1
- updated %%make_alsa_conf
- updated spec
- without jetpipe
- without ldm

* Wed Feb 06 2008 Led <led@altlinux.ru> 5.0-alt0.71
- set SOUND_VOL=80 in %bname-client's default %_sysconfdir/lts.conf

* Tue Feb 05 2008 Led <led@altlinux.ru> 5.0-alt0.70
- fixed %%files

* Tue Feb 05 2008 Led <led@altlinux.ru> 5.0-alt0.69
- updated:
  + %_initdir/%bname-client (unmute ALSA's Master)
  + %_sysconfdir/%bname/ltsp-build-client.conf
  + %_sysconfdir/%bname/%bname-client-eth-modules.list

* Mon Feb 04 2008 Led <led@altlinux.ru> 5.0-alt0.68
- fixed %name-client's Requires
- updated:
  + %_initdir/%bname-client-setup
  + %_sysconfdir/%bname/dhcpd.conf
  + %_sysconfdir/%bname/ltsp-build-client.conf
  + %_sysconfdir/%bname/%bname-client-eth-modules.list
- fixed %%changelog
- fixed and cleaned up spec
- removed conflicts grub and lilo from %name-client

* Thu Dec 27 2007 Led <led@altlinux.ru> 5.0-alt0.67
- fixed %_sysconfdir/%bname/dhcpd.conf
- updated ???-kernel-modules plugin
- fixed License
- added %_localstatedir/%bname-client-setup directory to %bname-client

* Sun Dec 23 2007 Led <led@altlinux.ru> 5.0-alt0.66
- exluded subpackage jetpipe from %name-client
- cleaned up spec
- updated ???-gen-base, ???-basic-configuration plugins
- removed gen-%bname-root script
- added %_initdir/%bname-client-swap
- cleaned up %_initdir/%bname-client-setup

* Fri Dec 14 2007 Led <led@altlinux.ru> 5.0-alt0.65
- updated %_initdir/%bname-client-setup: added support X_DISPLAY_SIZE
  parameter
- updated lts-parameters.alt
- added ???-make-dirs plugin
- fixed %_initdir/%bname-client.init

* Thu Dec 13 2007 Led <led@altlinux.ru> 5.0-alt0.64
- added ???-etc-inittab plugin
- fixed %_libexecdir/%bname/screen.d/rdp (#13560)
  (thanx to Michael A. Kangin)
- updated %_initdir/%bname-client-setup

* Wed Dec 12 2007 Led <led@altlinux.ru> 5.0-alt0.63
- updated %_sysconfdir/profile.d/%bname.sh
- use pulseaudio by default

* Tue Dec 11 2007 Led <led@altlinux.ru> 5.0-alt0.62
- updated:
  + %_datadir/%bname/scripts/mkswapfile
  + %_initdir/%bname-client-setup: added support swap over NFS
  + ltsp5-20070817-alt.patch
  + lts-parameters.alt
  + moved lts-parameters.* to %name-server package

* Sun Nov 11 2007 Led <led@altlinux.ru> 5.0-alt0.61
- updated:
  + %_initdir/%bname-client-setup
  + %_sysconfdir/profile.d/%bname.sh

* Thu Nov 01 2007 Led <led@altlinux.ru> 5.0-alt0.60
- updated:
  + %_sysconfdir/%bname/%bname-client-eth-modules.list
  + %_sbindir/ltsconf
  + %_sysconfdir/sysconfig/installkernel
  + %_sysconfdir/%bname/ltsp-build-client.conf
- added %_sysconfdir/%bname/clients.conf

* Wed Oct 24 2007 Led <led@altlinux.ru> 5.0-alt0.59
- fixed %bname-client-mkinitrd

* Wed Oct 24 2007 Led <led@altlinux.ru> 5.0-alt0.58
- updated ltsp5-20070817-alt.patch: set RAM limit for X server

* Mon Oct 22 2007 Led <led@altlinux.ru> 5.0-alt0.57
- added %_libexecdir/%bname/%bname-client-mkinitrd
- updated %_sysconfdir/sysconfig/installkernel
- cleaned up %name-20070817-alt.patch
- added ???-sysctl plugin

* Mon Oct 22 2007 Led <led@altlinux.ru> 5.0-alt0.56
- updated %_sysconfdir/{default/%bname-client-setup,sysconfig/installkernel},
  %_initdir/%bname-client{,-setup}
- added ???-ssh-keys plugin
- updated %bname-client-eth-modules.list

* Sat Oct 20 2007 Led <led@altlinux.ru> 5.0-alt0.55
- fixed ltsp-client-setup.init
- updated ???-dev plugin: don't remove /dev/urandom (need for passwd)

* Wed Oct 17 2007 Led <led@altlinux.ru> 5.0-alt0.54
- set size of client's tmpfs
- updated ???-gen-ltsp-base plugin and gen-ltsp-root script:
  added resolving for FTP|HTTP|SSH|RSH sources
- updated ???-manage-mirror plugin: added support "copy:/" sources
- updated ltsp-client-setup.init

* Mon Oct 15 2007 Led <led@altlinux.ru> 5.0-alt0.53
- added ???-udev plugin

* Mon Oct 15 2007 Led <led@altlinux.ru> 5.0-alt0.52
- added missed %_sysconfdir/%bname/nbd-server.config
- updated %bname-client-setup.init:
  + create only 2 nbd devices
  + use /dev/nbd1 for swap

* Mon Oct 15 2007 Led <led@altlinux.ru> 5.0-alt0.51
- updated %bname-client-setup.init
- added {mk,rm}swapfile scripts
- added %_sysconfdir/%bname/nbd-server.config

* Wed Oct 10 2007 Led <led@altlinux.ru> 5.0-alt0.50
- updated %bname-client-eth-modules.list: added b44 and tg3 modules

* Wed Oct 10 2007 Led <led@altlinux.ru> 5.0-alt0.49
- updated %name-20070817-alt.patch for ability X-session without xfs
- updated ???-manage-mirror (without awk)

* Tue Oct 09 2007 Led <led@altlinux.ru> 5.0-alt0.48
- fixed plugin ???-manage-mirror
- cleaned up spec

* Mon Oct 08 2007 Led <led@altlinux.ru> 5.0-alt0.47
- fixed plugin ???-manage-mirror
- cleaned up spec

* Fri Oct 05 2007 Led <led@altlinux.ru> 5.0-alt0.46
- fixed %bname-build-client plugin ???-dev: create /dev/{null,cobsole}
  devices

* Fri Oct 05 2007 Led <led@altlinux.ru> 5.0-alt0.45
- fixed ???-manage-mirror plugin
- added support for "cdrom:" and verbatim ("rpm <URL> <arch> <comp>")
  sources in MIRROR
- build client's chroot without spt
- fixed #12982

* Tue Sep 04 2007 Led <led@altlinux.ru> 5.0-alt0.44
- updated %name-20070817-alt.patch:
  + fixed %bname-update-kernels
- fixed ???-make-dirs-file plugin

* Tue Sep 04 2007 Led <led@altlinux.ru> 5.0-alt0.43
- changed vendor to ALTLinux
- cleaned up %name-client requires
- updated %_sysconfdir/default/%bname-client-setup

* Mon Sep 03 2007 Led <led@altlinux.ru> 5.0-alt0.42
- fixed %name-client requires

* Sun Aug 19 2007 Led <led@altlinux.ru> 5.0-alt0.41
- updated %bname-mkbootiso
- updated %bname-client.init
- fixed ldm Requires

* Sun Aug 19 2007 Led <led@altlinux.ru> 5.0-alt0.40
- added ldminfod-20070817-alt.patch
- updated %name-20070817-alt.patch
- fixed Requires
- added %name-start_printer.patch

* Sat Aug 18 2007 Led <led@altlinux.ru> 5.0-alt0.39
- new snapshot (2007-08-17)
- updated %name-20070817-alt.patch
- updated/fixed %bname-dhcpd.conf
- cleaned up %%files

* Mon Aug 06 2007 Led <led@altlinux.ru> 5.0-alt0.38
- updated %bname-client.init:
  + added sound volume setting
- fixed %_sysconfdir/profile.d/%bname.sh

* Mon Aug 06 2007 Led <led@altlinux.ru> 5.0-alt0.37
- fixed #12464
- removed %bname-client-sound.sh
- added %_sysconfdir/profile.d/%bname.sh
- cleaned up %name-alt.patch

* Thu Aug 02 2007 Led <led@altlinux.ru> 5.0-alt0.36
- updated %bname-dhcpd.conf
- added %_sbindir/ltsconf

* Wed Aug 01 2007 Led <led@altlinux.ru> 5.0-alt0.35
- added ???-restore-saved script

* Sat Jul 28 2007 Led <led@altlinux.ru> 5.0-alt0.34
- fixed Sisyphus/???-make-dirs-files script
- updated %name-alt.patch:
  + gtk.py -> ldm_gtk.py
  + fixed %bname-update-kernels
  + fixed update-kernels
- replaced %_sysconfdir/{profile,bashrc}.d/%bname-mkinitrd.sh with
  %_sysconfdir/sysconfig/installkernel
- cleaned up requires of %name-client
- added %_localstatedir/pulse to rw_dirs in %bname-client-setup.default

* Thu Jul 26 2007 Led <led@altlinux.ru> 5.0-alt0.33
- updated %name-alt.patch:
  + used separate dhcpd.conf
  + support mkelfImage in update-kernels script

* Thu Jul 19 2007 Led <led@altlinux.ru> 5.0-alt0.32
- updated %name-alt.patch:
  + dhcpd.conf
  + fixed tftpboot path in %bname-update-kernels

* Thu Jul 12 2007 Led <led@altlinux.ru> 5.0-alt0.31
- added pulseaudio support via ALSA pulse plugin

* Wed Jul 11 2007 Led <led@altlinux.ru> 5.0-alt0.30
- added pulseaudio support

* Mon Jul 09 2007 Led <led@altlinux.ru> 5.0-alt0.29
- fixed %bname-client-setup.init (local swaps)

* Mon Jul 09 2007 Led <led@altlinux.ru> 5.0-alt0.28
- added %name-server <=> %name-client Conflicts
- added %bname-mkbootiso to %name-server

* Mon Jul 09 2007 Led <led@altlinux.ru> 5.0-alt0.27
- updated %bname-client-bind-mounts.init for bind %_var/cache/%{bname}conf
- updated %bname-client-setup.init for usability x11_autosetup
- added %_var/cache/%{bname}conf dir to %name-client
- added %_x11sysconfdir/xorg.conf.auto -> %_var/cache/%{bname}conf/xorg.conf
  softlink for usability x11_autosetup

* Fri Jul 06 2007 Led <led@altlinux.ru> 5.0-alt0.26
- updated %_sysconfdir/default/%bname-client-setup,
  %_initdir/%bname-client-setup and %name-client requires for
  available proprietary nvidia X-Window driver

* Thu Jul 05 2007 Led <led@altlinux.ru> 5.0-alt0.25
- added forcedeth to %bname-client-eth-modules.list

* Tue Jul 03 2007 Led <led@altlinux.ru> 5.0-alt0.24
- fixed gen-%bname-image (broken sources.list if EXTRA_MIRROR not set)

* Mon Jul 02 2007 Led <led@altlinux.ru> 5.0-alt0.23
- fixed gen-%bname-image and Sisyphus/???-gen-%bname-base

* Tue Jun 26 2007 Led <led@altlinux.ru> 5.0-alt0.22
- fixed %bname-client.init for TC reboot/poweroff ability
  (via %{bname}info)

* Mon Jun 25 2007 Led <led@altlinux.ru> 5.0-alt0.21
- fixed %name-alt.patch:
  + dhcpd.conf

* Sat Jun 16 2007 Led <led@altlinux.ru> 5.0-alt0.20
- updated lts-parameters.alt: added RDP parameters

* Fri Jun 08 2007 Led <led@altlinux.ru> 5.0-alt0.19
- added lts-parameters.alt

* Fri Jun 01 2007 Led <led@altlinux.ru> 5.0-alt0.18
- %name-client requires mkinitrd-initramfs >= 3.0.4
- cleaned up 000-basic-configuration

* Fri Jun 01 2007 Led <led@altlinux.ru> 5.0-alt0.17
- updated %name-alt.patch:
  + dhcpd.conf
  + %_localstatedir/tftpboot/%bname/* permissions

* Sat May 26 2007 Led <led@altlinux.ru> 5.0-alt0.16
- fixed %bname-client.init (start_sound)

* Fri May 25 2007 Led <led@altlinux.ru> 5.0-alt0.15
- updated %bname-client.init (start_sound):
  + use ALSA for EsounD
  + default NAS for OSS and EsounD for ALSA

* Thu May 24 2007 Led <led@altlinux.ru> 5.0-alt0.14
- fixed %bname-client-setup.init:
  + configure_fstab
  + configure_resolver

* Wed May 23 2007 Led <led@altlinux.ru> 5.0-alt0.13
- added screen session for RDP (rdesktop)
- updated %name-alt.patch: moved loop from screen_session to startx
  screen session
- updated %bname-client-setup.init

* Mon May 21 2007 Led <led@altlinux.ru> 5.0-alt0.12
- updated lts.conf.default
- added %_x11sysconfdir/xinit.d/%bname-client-sound
- updated %bname-client.init: audio
- updated 005-nbdswapd: default swap dir is %_var/spool/swaps

* Fri May 18 2007 Led <led@altlinux.ru> 5.0-alt0.11
- fixed %%files for %name-client: noreplace configs
- fixed %bname-client.init: audio

* Fri May 18 2007 Led <led@altlinux.ru> 5.0-alt0.10
- updated %bname-client-setup.init: support POWER_BUTTON conf parameter
- updated %bname-client.init: load ALSA's OSS-compat module if needed

* Thu May 17 2007 Led <led@altlinux.ru> 5.0-alt0.9
- updated %name-alt.patch:
  + cleaned up
  + loop in screen_session
- fixed %bname-client-setup.init and %bname-client-setup.default for
  customizing keyboard

* Wed May 16 2007 Led <led@altlinux.ru> 5.0-alt0.8
- updated %bname-client-mkinitrd.sh: support --noload minitrd's key

* Wed May 16 2007 Led <led@altlinux.ru> 5.0-alt0.7
- changed default %bname-build-client.conf
- fixed 000-init-whitelist
- updated %name-alt.patch:
  + remove runlevel in kernel parameters
- fixed 000-basic-configuration
- fixed %_sysconfdir/%bname/dhcpd.conf

* Fri May 11 2007 Led <led@altlinux.ru> 5.0-alt0.6
- fixed esd support in %bname-client.init
- updated %name-alt.patch:
  + default runlevel 2
- fixed Sisyphus/000-init-whitelist

* Thu May 10 2007 Led <led@altlinux.ru> 5.0-alt0.5
- fixed Sisyphus/095-exports
- fixed Requires for %name-server
- cleaned up %name-server %%files
- default UDP protocol for NFSROOT
- updated %name-alt.patch
- updated %_sysconfdir/%bname/update-kernels.conf

* Mon May 07 2007 Led <led@altlinux.ru> 5.0-alt0.4
- cleaned up %bname-client-setup.init

* Thu Apr 26 2007 Led <led@altlinux.ru> 5.0-alt0.3
- updated %name-alt.patch
- updated %bname-client-setup.init
- updated %bname-client.init
- set %name-client Conflicts

* Mon Apr 23 2007 Led <led@altlinux.ru> 5.0-alt0.2
- fixed %bname-client-setup.init and lts.conf.default for support local
  client devices

* Mon Apr 16 2007 Led <led@altlinux.ru> 5.0-alt0.1
- initial build
